Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160883 - Bogous boolean allow_write_xhm
Summary: Bogous boolean allow_write_xhm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Russell Coker
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 23:13 UTC by Göran Uddeborg
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.25.4-10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-27 05:45:02 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2005-06-17 23:13:40 UTC
Description of problem:
The file "booleans" contains a setting of a variable allow_write_xhm to true.
But the policy doesn't contain such a boolean.

Version-Release number of selected component (if applicable):
selinux-policy-strict-1.23.16-6

How reproducible:
Always

Steps to Reproduce:
1.Boot with strict policy
  
Actual results:
A warning message about errors when the booleans are set.

Expected results:
No warning.

Additional info:
Maybe the intention was to set allow_write_xshm?

Comment 1 Daniel Walsh 2005-06-18 03:06:31 UTC
Fixed in selinux-policy-targeted-1.23.18-1

Comment 2 Danen Brücker 2005-07-01 00:46:20 UTC
(In reply to comment #1)
> Fixed in selinux-policy-targeted-1.23.18-1

Error still present in the strict policy package as reported initially.

Comment 3 Göran Uddeborg 2005-09-15 20:15:56 UTC
But hello?  This is a bug in the strict policy.  There hasn't been an "current
release" 1.25.4-10.1 of the strict policy.  There hasn't been any update at all
of the strict policy as far as I can see.

Was closing a mistake?  Or is the strict policy being abandoned and not supported?

Comment 4 Daniel Walsh 2005-09-16 14:52:24 UTC
Fixed in selinux-policy-strict-1.25.4-10.1

Strict is not being abandoned.  Sorry about not updating it.


Note You need to log in before you can comment on or make changes to this bug.